/*-----------------------------------------------------------------------------
    Name: flow
    Generated By: Rajesh
    Date of generation: 05/20/2021 03:42:33
    Flow details:
    Build details: 4.6.0 (build# 68)
    Modification History:
-----------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ns_string.h"

void flow()
{

    ns_start_transaction("Homepage");
    ns_web_url ("Homepage",
        "URL=http://10.10.30.7:81/tours/index.html",
        "METHOD=POST",
        BODY_BEGIN,
            ":
            :",
        BODY_END
    );

    ns_end_transaction("Homepage", NS_AUTO_STATUS);

    ns_start_transaction("Loginpage");
    ns_web_url ("Loginpage",
        "URL=http://10.10.30.7:81/cgi-bin/login?userSession=75893.0884568651DQADHfApHDHfcDtccpfAttcf&username=&password=&login.x=41&login.y=10&JSFormSubmit=off",
        "METHOD=POST",
        BODY_BEGIN,
            "username:Rajesh
            Password:rajesh@123",
        BODY_END
    );

    ns_end_transaction("Loginpage", NS_AUTO_STATUS);

    ns_start_transaction("Search_Results");
    ns_web_url ("Search_Results",
        "URL=http://10.10.30.7:81/cgi-bin/reservation",
        "METHOD=POST"    );

    ns_end_transaction("Search_Results", NS_AUTO_STATUS);

    ns_start_transaction("Payment_Details");
    ns_web_url ("Payment_Details",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?depart=Acapulco&departDate=01-06-2021&arrive=Acapulco&returnDate=01-07-2021&numPassengers=1&seatPref=None&seatType=Coach&findFlights.x=39&findFlights.y=14",
        "METHOD=POST",
        BODY_BEGIN,
            "Payment",
        BODY_END
    );

    ns_end_transaction("Payment_Details", NS_AUTO_STATUS);

    ns_start_transaction("Payment_Confirmation");
    ns_web_url ("Payment_Confirmation",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?outboundFlight=button0&hidden_outboundFlight_button0=000%7C0%7C01-06-2021&hidden_outboundFlight_button1=001%7C0%7C01-06-2021&hidden_outboundFlight_button2=002%7C0%7C01-06-2021&hidden_outboundFlight_button3=003%7C0%7C01-06-2021&numPassengers=1&advanceDiscount=&seatType=Coach&seatPref=None&reserveFlights.x=93&reserveFlights.y=17",
        "METHOD=POST"    );

    ns_end_transaction("Payment_Confirmation", NS_AUTO_STATUS);

    ns_start_transaction("Logout");
    ns_web_url ("Logout",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?firstName=Tiger&lastName=Scott&address1=4261+Stevenson+Blvd.&address2=Fremont%2C+CA+94538&pass1=Scott+Tiger&creditCard=&expDate=&oldCCOption=&numPassengers=1&seatType=Coach&seatPref=None&outboundFlight=000%7C0%7C01-06-2021&advanceDiscount=&buyFlights.x=45&buyFlights.y=13&.cgifields=saveCC",
        "METHOD=POST"    );

    ns_end_transaction("Logout", NS_AUTO_STATUS);

}
